{"id":18093,"date":"2018-12-06T06:38:20","date_gmt":"2018-12-06T06:38:20","guid":{"rendered":"https:\/\/developer.kore.ai\/v10-1\/?post_type=docs&#038;p=15800"},"modified":"2023-11-27T08:19:05","modified_gmt":"2023-11-27T08:19:05","slug":"get-user-roles-details-api","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/get-user-roles-details-api\/","title":{"rendered":"Get User Roles Details API"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p>To get complete information on all the users and their associated roles in the account.<\/p>\n<p class=\"note\">This API requires JWT generated by an application created only from the Bot Admin Console.<\/p>\n<table>\n<tbody>\n<tr>\n<td><strong>Method<\/strong><\/td>\n<td>GET<\/td>\n<\/tr>\n<tr>\n<td><strong>Endpoint<\/strong><\/td>\n<td><code>https:\/\/{{host}}\/api\/public\/alluserroles?limit=2<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Content Type<\/strong><\/td>\n<td><code>application\/json<\/code><\/td>\n<\/tr>\n<tr>\n<td><strong>Authorization<\/strong><\/td>\n<td><code>auth: {{JWT}}<\/code><\/p>\n<p>See <a href=\"https:\/\/developer.kore.ai\/v10-1\/docs\/bots\/api-guide\/apis\/#Generating_the_JWT_Token\" target=\"_blank\" rel=\"noopener noreferrer\">How to generate the JWT Token.<\/a><\/td>\n<\/tr>\n<tr>\n<td><strong>API Scope<\/strong><\/td>\n<td>\n<ul>\n<li>Bot Builder: Not Applicable<\/li>\n<li>Admin Console: Profile Management &gt; Role Management<\/li>\n<\/ul>\n<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h2>\n<table>\n<tbody>\n<tr>\n<th>Parameter<\/th>\n<th>Description<\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>limit<\/td>\n<td>Indicates the number of records to be returned in the result set.<\/td>\n<\/tr>\n<tr>\n<td>offset<\/td>\n<td>The number of records to be skipped from the result set.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h2>\n<pre>curl -X GET \\   \r\n  https:\/\/{{host}}\/api\/public\/alluserroles?limit=2' \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h2><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h2>\n<pre>{\r\n    \"total\": 10,\r\n    \"availableMore\": true,\r\n    \"users\": [\r\n        {\r\n            \"username\": \"&lt;name&gt;@kore.com\",\r\n            \"orgUserId\": \"org assigned user id\",\r\n            \"accountId\": \"&lt;id&gt;\",\r\n            \"isDeveloper\": true,\r\n            \"canCreateBot\": true,\r\n            \"userId\": \"u-xxx-xxx-xxx-xxx-xxxxx\",\r\n            \"btRoles\": [],\r\n            \"adminRoles\": []\r\n        },\r\n        {\r\n            \"username\": \"&lt;name&gt;@kore.com\",\r\n            \"orgUserId\": \"org assigned user id\",\r\n            \"accountId\": \"&lt;id&gt;\",\r\n            \"isDeveloper\": true,\r\n            \"canCreateBot\": true,\r\n            \"userId\": \"u-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n            \"btRoles\": [\r\n                {\r\n                    \"roleId\": \"5c04ae921ad9976d311e9b50\",\r\n                    \"roleName\": \"Bot Developer\",\r\n                    \"groups\": [],\r\n                    \"botId\": \"st-fd7c7396-82c1-5916-972d-6bfe6908b5ab\",\r\n                    \"botName\": \"Example Bot\"\r\n                }\r\n            ],\r\n            \"adminRoles\": []\r\n        }\r\n    ]\r\n}<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get complete information on all the users and their associated roles in the account. This API requires JWT generated by an application created only from the Bot Admin Console. Method GET Endpoint https:\/\/{{host}}\/api\/public\/alluserroles?limit=2 Content Type application\/json Authorization auth: {{JWT}} See How to generate the JWT Token. API Scope Bot Builder: Not Applicable Admin Console:...","protected":false},"author":1,"featured_media":0,"comment_status":"closed","ping_status":"closed","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-18093","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18093","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/comments?post=18093"}],"version-history":[{"count":16,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18093\/revisions"}],"predecessor-version":[{"id":60369,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/posts\/18093\/revisions\/60369"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/media?parent=18093"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/categories?post=18093"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v10-1\/wp-json\/wp\/v2\/tags?post=18093"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}